#!/bin/sh

# create a ssh-key pair in the current folder
# and create a ISO image with it

VM_NAME=$(basename "$(pwd)")
echo ${VM_NAME}

mkdir .ssh &> /dev/null
ssh-keygen -q -t rsa -N "" -C "${VM_NAME}" -f dvm_key &> /dev/null
chmod 500 dvm_key
mv dvm_key.pub .ssh/authorized_keys
genisoimage -J -R -o "${VM_NAME}.iso" .ssh

